Problem bei der Integration des ERP/SOAP Moduls

Guten Tag

Folgende Situation.

ich setze gerade den Oxid_shop (OXID_ESHOP_EE_4.5.8_42471_for_PHP5.3) als Test-Umgebung zur Anbindung Ihrer ERP/SOAP Schnittelle (MOD_ERP_2.9.0_35501_OXID_ESHOP_4.5.0_34568) an ein bestehendes LVS auf.

Die “Installation” des OXID_ESHOP war problemlos, allerdings ist keine Kommunikation mit der Schnittstelle möglich.

Meine Vermutung ist, dass es an der Problematik mit Zend_guard Zend_optimizer liegt, bzw. an deren fehlenden Abwärtskompatibilität.

Folgende Voraussetzungen sind gegeben.

  • PHP Version 5.3.6-13ubuntu3.6

-soap
Soap Client enabled
Soap Server enabled

-Zend Guard Loader
Zend Guard Loader enabled
License Path no value
Obfuscation level 3

-Zend Engine v2.3.0, Copyright © 1998-2011 Zend Technologies
with Zend Guard Loader v3.3

Fehlermeldung:

PHP Fatal error: Incompatible file format: The encoded file has format major ID 3, whereas the Loader expects 4 in /var/www/OXID_ESHOP/modules/erp/oxerpservice.php on line 0

Gehe ich recht mit der Annahme das das ERP Modul das ich erhalten habe nicht zu der ESHOP Version passt ? (bzw beide zu der ZEND_Engine)

Mit Freundlichen Grüssen Findeisen

Hallo Herr Findeisen,

die Shopversion sollte passen, die ERP sieht mir verdächtig aus. Wende Dich doch bitte mal an den Support, damit Du die aktuelle Version zugeschickt bekommst.

Gruß

Ok mache ich vielen dank.

mfg Findeisen

Habe vom Support eine Aktuelle Version des ERP Modul erhalten damit geht es.

Danke für die schnell Antwort/Hilfe.

mfg Findeisen

[SOLVED]